Package org.zkoss.bind.sys

## Interface FormBinding

- All Superinterfaces:
    `Binding`
  All Known Subinterfaces:
    `InitFormBinding`, `LoadFormBinding`, `SaveFormBinding`
  All Known Implementing Classes:
    `ClientSaveFormBindingImpl`, `FormBindingImpl`, `InitFormBindingImpl`, `LoadFormBindingImpl`, `SaveFormBindingImpl`

      public interface FormBinding
      extends Binding

  A binding tells how to deal with Load and Save between a form and a bean.
  Since:
    6.0.0
  Author:
    henrichen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCommandName()` | Returns the associated command name of this binding; null if not specified.
    `ConditionType` | `getConditionType()` | Returns the condition type of this binding
    `ExpressionX` | `getFieldExpression​(BindEvaluatorX eval, java.lang.String field)` | Returns the field expression from the given field.
    `Form` | `getFormBean()` | Returns the implicit form associated with this form binding.
    `ExpressionX` | `getFormExpression​(BindEvaluatorX eval, java.lang.String field)` | Returns the form expression from the given field.
    `java.lang.String` | `getFormId()` | Returns the associated form id of this Binding.
    `java.lang.String` | `getPropertyString()` | Returns the property expression script of this binding.

    - ### Methods inherited from interface org.zkoss.bind.sys.Binding

      `getArgs, getBinder, getComponent`

- - ### Method Detail

    - #### getFormBean

          Form getFormBean()

      Returns the implicit form associated with this form binding.
      Returns:
        the implicit form associated with this form binding.

    - #### getFormId

          java.lang.String getFormId()

      Returns the associated form id of this Binding.
      Returns:
        the associated attribute name of this component.

    - #### getCommandName

          java.lang.String getCommandName()

      Returns the associated command name of this binding; null if not specified.
      Returns:
        the associated command name of this binding; null if not specified.

    - #### getPropertyString

          java.lang.String getPropertyString()

      Returns the property expression script of this binding.
      Returns:
        the property expression script of this binding.

    - #### getConditionType

          ConditionType getConditionType()

      Returns the condition type of this binding

    - #### getFieldExpression

          ExpressionX getFieldExpression​(BindEvaluatorX eval,
                                         java.lang.String field)

      Returns the field expression from the given field.
      Since:
        8.0.0

    - #### getFormExpression

          ExpressionX getFormExpression​(BindEvaluatorX eval,
                                        java.lang.String field)

      Returns the form expression from the given field.
      Since:
        8.0.0